<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [growthAnalyze](./bitburner.ns.growthanalyze.md)

## NS.growthAnalyze() method

Calculate the number of grow threads needed for a given multiplicative growth factor.

**Signature:**

```typescript
growthAnalyze(host: string, multiplier: number, cores?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the target server.


</td></tr>
<tr><td>

multiplier


</td><td>

number


</td><td>

Multiplier that will be applied to a server's money after applying additive growth. Decimal form.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

_(Optional)_ Number of cores on the host running the grow function. Optional, defaults to 1.


</td></tr>
</tbody></table>

**Returns:**

number

Decimal number of grow threads needed for the specified multiplicative growth factor (does not include additive growth).

## Remarks

RAM cost: 1 GB

This function returns the total decimal number of [grow](./bitburner.ns.grow.md) threads needed in order to multiply the money available on the specified server by a given multiplier, if all threads are executed at the server's current security level, regardless of how many threads are assigned to each call.

Note that there is also an additive factor that is applied before the multiplier. Each [grow](./bitburner.ns.grow.md) call will add $1 to the host's money for each thread before applying the multiplier for its thread count. This means that at extremely low starting money, fewer threads would be needed to apply the same effective multiplier than what is calculated by growthAnalyze.

Like other basic hacking analysis functions, this calculation uses the current status of the player and server. To calculate using hypothetical server or player status, obtain access to the Formulas API and use [formulas.hacking.growThreads](./bitburner.hackingformulas.growthreads.md)<!-- -->.

## Example


```js
// calculate number of grow threads to apply 2x growth multiplier on n00dles (does not include the additive growth).
const growThreads = ns.growthAnalyze("n00dles", 2);

// When using the thread count to launch a script, it needs to be converted to an integer.
ns.run("noodleGrow.js", Math.ceil(growThreads));
```

